## cython-legacy 0.29.37

=== Demos/freeze/Makefile ===
CC = gcc
CYTHON = ../../bin/cython
CYTHON_FREEZE = ../../bin/cython_freeze
PYTHON = python
RST2HTML = rst2html

PY_LDFLAGS = $(shell $(PYTHON) -c 'from distutils.sysconfig import get_config_var as g; import sys; sys.stdout.write(" ".join([g("LINKFORSHARED"), "-L"+g("LIBPL")]) + "\n")')
PY_CPPFLAGS = $(shell $(PYTHON) -c 'from distutils.sysconfig import *; import sys; sys.stdout.write("-I"+get_python_inc() + "\n")')
LIBDIR1 := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBDIR'))")
LIBDIR2 := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBPL'))")
PYLIB := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBRARY')[3:-2])")
LIBS := $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LIBS'))")

CFLAGS = -fPIC -fno-strict-aliasing -g -O2 -Wall -Wextra
CPPFLAGS = $(PY_CPPFLAGS)
LDFLAGS = $(PY_LDFLAGS)
LDLIBS = -L$(LIBDIR1) -L$(LIBDIR2) -l$(PYLIB)



# Name of executable
TARGETS = nCr python

# List of Cython source files, with main module first.
CYTHON_SOURCE = combinatorics.pyx lcmath.pyx
CYTHON_SECONDARY = $(CYTHON_SOURCE:.pyx=.c) $(TARGETS:=.c)


all : $(TARGETS)
html : README.html

$(TARGETS) : % : %.o $(CYTHON_SOURCE:.pyx=.o)

nCr.c :
	$(CYTHON_FREEZE) $(CYTHON_SOURCE:.pyx=) > $@

python.c :
	$(CYTHON_FREEZE) --pymain $(CYTHON_SOURCE:.pyx=) > $@

%.c : %.pyx
	$(CYTHON) $(CYTHONFLAGS) $^

%.html : %.txt
	$(RST2HTML) $^ $@

clean:
	$(RM) *.o $(CYTHON_SECONDARY) $(TARGETS) README.html

.PHONY: clean
.SECONDARY: $(CYTHON_SECONDARY)

## cython-legacy 0.29.36

=== debian/changelog ===
cython-legacy (0.29.36-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Dec 2023 07:29:23 +0100

cython-legacy (0.29.36-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid using the thread state attribute "use_tracing" in Python 3.12.
    Patch taken from upstream. "however, that doesn't mean that
    profiling/tracing now works in Py3.12".

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 00:12:38 +0100

cython-legacy (0.29.36-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 12:40:05 +0100

cython-legacy (0.29.36-1) unstable; urgency=medium

  * Team upload.
  * Add conflicts. Closes: #1056781.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:52:08 +0100

cython-legacy (0.29.36-1~exp1) experimental; urgency=medium

  * Rename and reintroduce package

 -- Graham Inggs <ginggs@debian.org>  Fri, 24 Nov 2023 14:08:54 +0000

cython (0.29.36-2) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary non-pybuild parts of the build. (Closes: #904211)
  * Replace cython3-dbg with --automatic-dbgsym.
  * Minor rules cleanup.
  * Use dh-exec to rename commands.
  * Run the upstream test suite in an autopkgtest.
  * Build-Depend on python3-setuptools, upstream uses distutils which will be
    removed from 3.12.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 14:32:11 +0000

cython (0.29.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Includes Python 3.12 support (Closes: #1004725)
  * Drop patch py3.11-dbg-assertion.patch, supersedde upstream.
  * Clean pybuild's work directory.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Jul 2023 10:05:47 -0400

cython (0.29.32-2) unstable; urgency=medium

  * Team upload.
  * Patch: Avoid triggering an assertion failure on python3.11-dbg when
    calling cyfuncs.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 19:59:12 +0200

cython (0.29.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.32.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 14:31:42 -0400

cython (0.29.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.30.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 10:12:47 -0400

cython (0.29.28-3) unstable; urgency=medium

  * Team upload
  * Fixed another 2-digit minor version bug.
  * Skip tests on sparc64, where they frequently fail. (Closes: #1003181)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 23:20:26 -0400

cython (0.29.28-2) unstable; urgency=medium

  * Team upload
  * Handle 2-digit Python minor versions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 14:29:17 -0400

cython (0.29.28-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev, help2man and
      python3-numpy.

  [ Graham Inggs ]
  * New upstream release
  * Drop 23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch included upstream
  * Mark import3 autopkgtest as superficial (Closes: #971460)

 -- Graham Inggs <ginggs@debian.org>  Wed, 23 Feb 2022 12:31:37 +0000

cython (0.29.24-2) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Reduce Build-Depends: (Closes: #981502)
    + Demote python3-sphinx to Build-Depends-Indep.
    + Annotate gdb dependency <!nocheck>.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Dec 2021 18:47:04 +0100

cython (0.29.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946
  * debian/patches/23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch
    - include upstream change to fix doc build
  * debian/patches/deb_nopngmath
    - drop patch, no longer needed

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Oct 2021 22:41:55 -0400

cython (0.29.21-3) unstable; urgency=medium

  * Team upload
  * Reinstate build dependency on python3-numpy and enable tests

 -- Graham Inggs <ginggs@debian.org>  Sun, 18 Oct 2020 14:30:27 +0000

cython (0.29.21-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Drop build dependency on python3-numpy for a first python3.9 build
    and don't run the tests for this build

 -- Graham Inggs <ginggs@debian.org>  Wed, 14 Oct 2020 09:52:40 +0000

cython (0.29.21-1) unstable; urgency=medium

  * New upstream release; Closes: #963084

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 23:17:28 -0400

cython (0.29.14-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936363, #942939, #906699
  * Switch to pybuild

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Jun 2020 23:54:03 -0400

cython (0.29.14-1) unstable; urgency=medium

  * Team upload.
  * Manual rebuild for python3.7 removal.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 17:11:55 -0400

cython (0.29.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, more Python 3.8 fixes. Closes: #942696.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2019 13:16:50 +0100

cython (0.29.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, supporting Python 3.8. Closes: #942696.
  * Run the tests for every python version, but ignore failures for
    a first build.



=== debian/control ===
Source: cython-legacy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dh-exec,
               dh-python,
               gdb <!nocheck>,
               help2man,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy [!i386] <!nocheck>,
               python3-setuptools <!nocheck>
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.6.1
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython-legacy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython-legacy

Package: cython3-legacy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: cython3, cython3-dbg
Replaces: cython3, cython3-dbg
Recommends: gcc, python3-dev
Suggests: cython-legacy-doc
Description: C-Extensions for Python 3 (legacy version 0.29)
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-legacy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Conflicts: cython-doc
Replaces: cython-doc
Suggests: cython3-legacy
Description: C-Extensions for Python (legacy version 0.29)- documentation
 This package contains documentation for Cython.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# Python versions
PY3DEF=$(shell py3versions -dv)
PY3VERS=$(shell py3versions -vr)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  RUNTESTSOPTS=--shard_count=$(NUMJOBS)
endif

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installman-arch: build/cython.1
	dh_installman -a

build/cython.1:
	: # Generate a manpage using help2man
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PY3DEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :

override_dh_install-indep:
	dh_install -i

override_dh_install-arch:
	dh_install -a

	: # fix shebang
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3-legacy/usr/bin/*

	# add debian version to watermark of generated files
	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
	  debian/cython3-legacy/usr/lib/python3*/dist-packages/Cython/Compiler/Version.py


override_dh_installdocs:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
	: # just faking having documentation so that dh-installdocs doesn't fail
	mkdir -p docs/build/html
else
	make -C docs html
	: # Use jquery/underscore from Debian package, so prune shipped one
	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
endif
endif
	dh_installdocs --package=cython3-legacy --link-doc=cython3-legacy debian/upstream
	dh_installdocs --package=cython-legacy-doc debian/upstream


override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
	set -e; for P in $(PY3VERS); do \
	 echo =============== $$P start ===============; \
	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
            --no-refnanny -v -v \
	    --exclude="(parallel|Debugger|annotate_html|numpy_test)" \
	    --work-dir=build/work-dir 2>&1; \
	 then \
	   echo =============== $$P done ===============; \
	 else \
	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
	 fi; \
	done
endif

override_dh_auto_clean:
	make clean
	rm -rf Cython.egg-info docs/build
	rm -rf .pybuild
	find -name "*.py[oc]" -type f -delete

## cython-legacy 0.29.37

=== debian/changelog ===
cython-legacy (0.29.37-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 08 Apr 2024 10:14:59 +0000

cython-legacy (0.29.37-2) unstable; urgency=medium

  * Remove usages of deprecated numpy.distutils
  * Disable unicode test_raiseMemError (Closes: #1059839)

 -- Graham Inggs <ginggs@debian.org>  Mon, 08 Apr 2024 09:22:30 +0000

cython-legacy (0.29.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (closes: #1062604)

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 Feb 2024 21:52:29 +0000

cython-legacy (0.29.36-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:44 +1100

cython-legacy (0.29.36-3ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:23 +0100

cython-legacy (0.29.36-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 14:38:10 +0100

cython-legacy (0.29.36-3) unstable; urgency=medium

  * Team upload.
  * Skip (autopkg)tests which fail with Python 3.12, and note that
    pyximport probably doesn't work with Python 3.12 in the package
    description.

 -- Julian Gilbey <jdg@debian.org>  Wed, 13 Dec 2023 22:16:14 +0000

cython-legacy (0.29.36-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@debian.org>  Tue, 12 Dec 2023 15:49:56 +0100

cython-legacy (0.29.36-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Limit watch file to 0.x versions.

  [ Julian Gilbey ]
  * Use zombie-imp to allow pyximport to run under Python 3.12
  * Call python as python3 in Makefiles

 -- Julian Gilbey <jdg@debian.org>  Tue, 12 Dec 2023 06:43:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cython-legacy
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-exec,
@@ -11,7 +12,8 @@
                python3-all-dbg,
                python3-all-dev,
                python3-numpy [!i386] <!nocheck>,
-               python3-setuptools <!nocheck>
+               python3-setuptools <!nocheck>,
+               python3-zombie-imp
 Build-Depends-Indep: python3-sphinx
 Standards-Version: 4.6.1
 Homepage: http://cython.org/
@@ -20,7 +22,10 @@
 
 Package: cython3-legacy
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-zombie-imp,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Conflicts: cython3, cython3-dbg
 Replaces: cython3, cython3-dbg
 Recommends: gcc, python3-dev
@@ -37,6 +42,10 @@
  .
  This makes Cython the ideal language for wrapping external C libraries, and
  for fast C modules that speed up the execution of Python code.
+ .
+ This legacy version may not work with Python 3.12.  In particular, the
+ pyximport module appears to fail.  This legacy version should not be used
+ as a package run-time dependency.
 
 Package: cython-legacy-doc
 Architecture: all
@@ -46,5 +55,5 @@
 Conflicts: cython-doc
 Replaces: cython-doc
 Suggests: cython3-legacy
-Description: C-Extensions for Python (legacy version 0.29)- documentation
+Description: C-Extensions for Python (legacy version 0.29) - documentation
  This package contains documentation for Cython.

=== debian/watch ===
version=3
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])([ab][0-9]*)/$1~$2/g \
 https://pypi.debian.net/Cython/Cython-(0.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
